org.apache.calcite.avatica.proto

## Interface Responses.SyncResultsResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.SyncResultsResponse, Responses.SyncResultsResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.SyncResultsResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 3;`
`boolean` `getMissingStatement()` Server doesn't have the statement with the ID from the request
`boolean` `getMoreResults()` Should the client fetch() to get more results
`boolean` `hasMetadata()` `.RpcMetadata metadata = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getMissingStatement

    boolean getMissingStatement()

     Server doesn't have the statement with the ID from the request

`bool missing_statement = 1;`

#### getMoreResults

    boolean getMoreResults()

     Should the client fetch() to get more results

`bool more_results = 2;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 3;`